Package org.simpleframework.util.lease

## Class LeaseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.simpleframework.util.FormatException
      - - org.simpleframework.util.lease.LeaseException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `SessionException`

      public class LeaseException
      extends FormatException

  The `LeaseException` is used to indicate that some operation failed when using the lease after the lease duration has expired. Typically this will be thrown when the lease is renewed after the expiry period has passed.
  Author:
    Niall Gallagher
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LeaseException​(java.lang.String message, java.lang.Object... list)` | This constructor is used if there is a description of the event that caused the exception required.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LeaseException

          public LeaseException​(java.lang.String message,
                                java.lang.Object... list)

      This constructor is used if there is a description of the event that caused the exception required. This can be given a message used to describe the situation for the exception.
      Parameters:
        `message` - this is a description of the exception